Skip to main content

List Invoices (V2)

Lists all invoices in the organization to which the current user belongs. The current user should be an organization owner or a billing admin.

GET/v2/invoices
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

If you have encountered any issue related to this endpoint, please contact Zilliz Cloud support.

shell
export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges.

Example Value: Bearer {{TOKEN}}
pageSizeintegerquery

The number of items to return in each page.

Example Value: 10
currentPageintegerquery

The page number to return.

Example Value: 1
bash
export TOKEN="YOUR_API_KEY"

curl --request GET \
--url "${BASE_URL}/v2/invoices" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
Responses

Returns a list of invoice records in the organization to which the current user belongs.

Returns a list of invoices.

codeinteger<int32>

Response code.

dataobject

Response payload containing the invoice records.

countinteger<int32>

Total number of invoice records available.

currentPageinteger<int32>

The page number of the returned records.

pageSizeinteger<int32>

The number of records per page.

invoicesarray

The invoice records on the current page.

[]invoicesobject

A single invoice record in the response payload.

idstring

ID of the invoice.

orgIdstring

ID of the organization the invoice belongs to.

periodStartstring<date-time>

Start of the billing period.

periodEndstring<date-time>

End of the billing period.

invoiceDatestring<date-time>

Date when the invoice was issued.

dueDatestring<date-time>

Date when the invoice is due.

currencystring

Currency of the invoice amounts.

statusstring

Status of the invoice.

usageAmountinteger<int64>

Usage amount before credits and other adjustments.

creditsAppliedinteger<int64>

Amount of credits applied to the invoice.

alreadyBilledAmountinteger<int64>

Amount already billed for the billing period.

subtotalinteger<int64>

Subtotal before tax.

taxinteger<int64>

Tax amount.

totalinteger<int64>

Total amount including tax.

advancePayAmountinteger<int64>

Amount paid in advance applied to the invoice.

amountDueinteger<int64>

Amount still due on the invoice.

Returns an error message.

codeinteger

Response code.

messagestring

Error message.

Successjson
{
"code": 0,
"data": {
"count": 1,
"currentPage": 1,
"pageSize": 10,
"invoices": [
{
"id": "inv-12312io23810o291",
"orgId": "org-xxxxxx",
"periodStart": "2024-01-01T00:00:00Z",
"periodEnd": "2024-02-01T00:00:00Z",
"invoiceDate": "2024-02-01T00:00:00Z",
"dueDate": "2024-02-01T00:00:00Z",
"currency": "USD",
"status": "unpaid",
"usageAmount": 52400,
"creditsApplied": 12400,
"alreadyBilledAmount": 0,
"subtotal": 40000,
"tax": 5000,
"total": 45000,
"advancePayAmount": 0,
"amountDue": 45000
}
]
}
}